Contourner fonction
Hors ligneAudayls Le 24/07/2006 à 22:04 Profil de Audayls Configuration de Audayls

Jeune Padawan
Salut,
Je crée un installateur pour mon forum et je voudrai que le fichier install télécharge sur mon serveur les fichiers du forum...
Jusque ici pas de problème, mais (et oui si tous allait bien je n'orais pas posté :P) lorsque la fonction PHP "allow_url_fopen" est désactivée pas moyen de faire fonctionner le script ...
Donc je voudrai savoir si l'un d'entre vous sais comment contourner ce "problème" (de préférence sans fsockopen puisque la plupart des hebergeurs gratuits le désactive)

Merci d'avance pour vos réponses !
--
'Cause it's a bittersweet symphony, this life
Hors ligneAnthony Le 25/07/2006 à 13:16 Profil de Anthony Configuration de Anthony

Fou du volant
Salut,

sans fsockopen() et avec allow_url_fopen() désactivé, tu l'as dans l'os. Faut passer par un vrai hébergeur payant, les moins chers sont à moins de 30 euros par an... pas de quoi fouetter un chat :)
--

Hors ligneAudayls Le 25/07/2006 à 20:28 Profil de Audayls Configuration de Audayls

Jeune Padawan
Nan si le script étais pour moi il n'y aurait pas de problème

En fait, je voulais que par exemple si une personne veut télécharger le forum, elle ne télécharge qu'un seul fichier puis transfert ce fichier sur son hebergeur. Le script téléchargera ensuite tous les fichiers du forum. Mais il faut que cette personne ai un hebergeur acceptant "allow_url_fopen" ou "fsockopen"

Ce système était assez pratique puisque l'on pouvais adapter les fichiers par rapport au serveur (par exemple : pas mal d'utilisateur de ce forum sont sur Alice. Mais sur Alice c'est une version de PHP "4.0.5" donc avec l'installateur transformer les variables "$_POST" en "$HTTP_POST_VAR")

Mais bon je vais faire plusieurs versions si il n'y a aucune solution ... Merci pour ta réponse
--
'Cause it's a bittersweet symphony, this life
Hors ligneAnthony Le 26/07/2006 à 00:04 Profil de Anthony Configuration de Anthony

Fou du volant
Te fais pas chier avec ça si tu veux mon avis, ceux qui ont d'anciennes versions de PHP feraient mieux de changer d'hébergeur ;-)
--

Vous avez résolu votre problème avec VIC ? Faites-le savoir sur les réseaux sociaux !
Vulgarisation-informatique.com
Cours en informatique & tutoriels